

The DVB merge forgot an important change - DVB is currently using 
major 250, which is "local" while devices.txt (and thus FSSTND/LSB) require
it uses the officially allocated 212 major.

Fortunately most 2.6 users don't currently use DVB and vendors ship devfs
or versions of makedev that do the right thing and generate 212 majors.

Fix below, original author: Red Hat <alan@redhat.com>, OSDL certificate
of authorship included by reference.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/dvb-core/dvbdev.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-core/dvbdev.h~dvb-major-number drivers/media/dvb/dvb-core/dvbdev.h
--- 25/drivers/media/dvb/dvb-core/dvbdev.h~dvb-major-number	Tue Jul 27 14:15:25 2004
+++ 25-akpm/drivers/media/dvb/dvb-core/dvbdev.h	Tue Jul 27 14:15:25 2004
@@ -29,7 +29,7 @@
 #include <linux/list.h>
 #include <linux/devfs_fs_kernel.h>
 
-#define DVB_MAJOR 250
+#define DVB_MAJOR 212
 
 #define DVB_DEVICE_VIDEO      0
 #define DVB_DEVICE_AUDIO      1
_
